LOCALSEARCH-EXTRACT(1)

NAME
localsearch-extract - Extract metadata from a file.

SYNOPSYS

localsearch extract FILE

DESCRIPTION

localsearch extract reads the file provided and extracts any metadata it can from this file, then displays the metadata on standard output.

The metadata is displayed as a SPARQL update command, that can be run against a SPARQL endpoint to update its copy of the metadata.

The actual extraction is done by a separate process. This is done to isolate the calling process from any memory leaks or crashes in the libraries Tracker uses to extract metadata.

For more information see the libtracker-extract reference documentation.

OPTIONS

-o, --output-format=<FORMAT>
    Choose which format to use to output results. Supported formats are sparql, turtle and json-ld.

EXAMPLES

Using command line to extract metadata from a file
    $ localsearch extract /path/to/some/file.mp3

ENVIRONMENT

G_MESSAGES_DEBUG
    Controls verbose log output from GLib-based code. Use G_MESSAGES_DEBUG=Tracker to see only Tracker-related logs, or G_MESSAGES_DEBUG=all to see everything.

TRACKER_DEBUG
    Enables more specialized debug output. Pass a comma-separated list of one or more keywords:

    config
        extractor configuration

    statistics
        show statistics about how many files were processed

status
    log the status messages that are published over D-Bus

SEE ALSO

localsearch status(1), localsearch info(1).